MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
LocalOpen.hxx File Reference
`#include "check.h"`
`#include "Ptr.hxx"`
Include dependency graph for LocalOpen.hxx:

Go to the source code of this file.

## Functions
InputStreamPtr | OpenLocalInputStream (Path path, Mutex &mutex, Cond &cond)
| Open a "local" file. More...

## Function Documentation

InputStreamPtr OpenLocalInputStream | ( | Path | path,
|  | Mutex & | mutex,
|  | Cond & | cond
| ) |  |

Open a "local" file.

This is a wrapper for the input plugins "file" and "archive".

Throws std::runtime_error on error.